from pathlib import Path

from dynaconf import Dynaconf

config_dir = Path(__file__).parent.resolve()

mdc_config = Dynaconf(
    envvar_prefix="CAL_CAL_TOOLS",
    settings_files=[
        config_dir / "mdc_config.yaml",
        config_dir / "mdc_config.secrets.yaml",
        Path("~/.config/pycalibration/cal_tools/mdc_config.yaml").expanduser(),
    ],
    merge_enabled=True,
)
